## com.sun.jersey.spi.container.servlet
Interface WebConfig

All Known Implementing Classes:
  WebFilterConfig, WebServletConfig

    public interface WebConfig

The Web configuration for accessing initialization parameters of a Web component and the `ServletContext`.

Author:
  Paul.Sandoz@Sun.Com

Nested Class Summary
`static class` `WebConfig.ConfigType` The web configuration type.

Method Summary
`WebConfig.ConfigType` `getConfigType()` Get the configuration type of this config.
`ResourceConfig` `getDefaultResourceConfig(java.util.Map<java.lang.String,java.lang.Object> props)` Get the default `ResourceConfig`.
`java.lang.String` `getInitParameter(java.lang.String name)` Get an initialization parameter.
`java.util.Enumeration` `getInitParameterNames()` Get the enumeration of initialization parameter names.
`java.lang.String` `getName()` Get the name of the Web component.
`javax.servlet.ServletContext` `getServletContext()` Get the `ServletContext`.

Method Detail

### getConfigType

    WebConfig.ConfigType getConfigType()

  Get the configuration type of this config.

  Returns:
    the configuration type.

### getName

    java.lang.String getName()

  Get the name of the Web component.

  Returns:
    the name of the Web component.

### getInitParameter

    java.lang.String getInitParameter(java.lang.String name)

  Get an initialization parameter.

  Parameters:
    `name` - the parameter name.
  Returns:
    the parameter value, or null if the parameter is not present.

### getInitParameterNames

    java.util.Enumeration getInitParameterNames()

  Get the enumeration of initialization parameter names.

  Returns:
    the enumeration of initialization parameter names.

### getServletContext

    javax.servlet.ServletContext getServletContext()

  Get the `ServletContext`.

  Returns:
    the `ServletContext`.

### getDefaultResourceConfig

    ResourceConfig getDefaultResourceConfig(java.util.Map<java.lang.String,java.lang.Object> props)
                                            throws javax.servlet.ServletException

  Get the default `ResourceConfig`.

  Parameters:
    `props` - the map of properties.
  Returns:
    the default `ResourceConfig`.
  Throws:
    `javax.servlet.ServletException`

Copyright © 2017 Oracle Corporation. All Rights Reserved.